'use strict';

const index = require('./index-7a94ebe0.js');

/*
 Stencil Client Patch Browser v2.16.1 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('figma-testing-library.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["ftl-belt.cjs",[[1,"ftl-belt",{"accessToken":[1537,"access-token"],"fileId":[1,"file-id"]}]]],["ftl-holster.cjs",[[1,"ftl-holster",{"accessToken":[1,"access-token"],"fileId":[1,"file-id"],"node":[1],"name":[1],"opacity":[1537],"view":[1537],"activeToggle":[1537,"active-toggle"],"showGrid":[1540,"show-grid"],"imageUrl":[32],"mode":[32],"loading":[32],"error":[32],"status":[32]}]]],["my-component.cjs",[[1,"my-component",{"first":[1],"middle":[1],"last":[1]}]]],["ftl-buckle.cjs",[[1,"ftl-buckle",{"opacity":[1537],"showGrid":[1028,"show-grid"],"activeToggle":[1025,"active-toggle"],"view":[1025],"mode":[1]}]]]], options);
});
