import { p as promiseResolve, b as bootstrapLazy } from './index-ec7376e9.js';

/*
 Stencil Client Patch Esm v2.16.1 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["ftl-belt",[[1,"ftl-belt",{"accessToken":[1537,"access-token"],"fileId":[1,"file-id"]}]]],["ftl-holster",[[1,"ftl-holster",{"accessToken":[1,"access-token"],"fileId":[1,"file-id"],"node":[1],"name":[1],"opacity":[1537],"view":[1537],"activeToggle":[1537,"active-toggle"],"showGrid":[1540,"show-grid"],"imageUrl":[32],"mode":[32],"loading":[32],"error":[32],"status":[32]}]]],["my-component",[[1,"my-component",{"first":[1],"middle":[1],"last":[1]}]]],["ftl-buckle",[[1,"ftl-buckle",{"opacity":[1537],"showGrid":[1028,"show-grid"],"activeToggle":[1025,"active-toggle"],"view":[1025],"mode":[1]}]]]], options);
  });
};

export { defineCustomElements };
