import { EventEmitter } from '../../stencil-public-runtime';
export declare type viewOptions = 'toggle' | 'side-by-side' | 'overlay';
export declare type configSettings = {
  attribute: 'view' | 'show-grid' | 'active-toggle' | 'opacity';
  value: string;
};
export declare class FtlBuckle {
  opacity: string;
  showGrid: boolean;
  activeToggle: string;
  view: viewOptions;
  mode: string;
  ftlOnChange: EventEmitter<configSettings>;
  private _emitOnChange;
  private _updateShowGrid;
  private _updateView;
  private _updateOpacity;
  private _updateActiveToggle;
  get control(): any;
  get viewControl(): any;
  get selects(): any;
  render(): any;
}
